﻿//
// WindowsFormsCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Windows.Forms;

namespace WindowsFormsCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // ここで警告が発生
            this.OldMethod();
            // ここでエラーが発生
            this.ObsoleteMethod();

            // ここで警告が発生
            OldClass old;
            // ここでエラーが発生
            ObsoleteClass obsolete;
        }

        [Obsolete("このメソッドは廃止される予定です。代わりに'NewMethod()' を使用してください。", false)]
        private void OldMethod()
        {
            // 警告にするには、Obsoleteの最後にfalseを付与します。
        }

        [Obsolete("このメソッドは廃止されました。代わりに'NewMethod()' を使用してください。", true)]
        private void ObsoleteMethod()
        {
            // エラーにするには、Obsoleteの最後にtrueを付与します。
        }
    }


    [Obsolete("このクラスは廃止される予定です。代わりに'NewClass' を使用してください。", false)]
    class OldClass
    {
        // 警告にするには、Obsoleteの最後にfalseを付与します。
    }

    [Obsolete("このクラスは廃止されました。代わりに'NewClass' を使用してください。", true)]
    class ObsoleteClass
    {
        // エラーにするには、Obsoleteの最後にtrueを付与します。
    }
}
